VistaControlador

## Class ControladorPanelLateral

- java.lang.Object
- - VistaControlador.ControladorPanelLateral

All Implemented Interfaces:
  com.github.lgooddatepicker.optionalusertools.DateChangeListener, java.awt.event.ActionListener, java.util.EventListener

    public class ControladorPanelLateral
    extends java.lang.Object
    implements java.awt.event.ActionListener, com.github.lgooddatepicker.optionalusertools.DateChangeListener

### Constructor Summary

Constructors
Constructor and Description
`ControladorPanelLateral(VistaPanelLateral vista, Menu menu)` Controlador del panel lateral que gestionara los datos

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `actionPerformed(java.awt.event.ActionEvent e)`
`void` `dateChanged(com.github.lgooddatepicker.zinternaltools.DateChangeEvent arg0)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ControladorPanelLateral

    public ControladorPanelLateral(VistaPanelLateral vista,
                                   Menu menu)

Controlador del panel lateral que gestionara los datos

Parameters:
  `vista` - Vista que usa el controlador
  `menu` - Menu que contiene la vista que usa este controlador

### Method Detail

#### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

Specified by:
  `actionPerformed` in interface `java.awt.event.ActionListener`

#### dateChanged

    public void dateChanged(com.github.lgooddatepicker.zinternaltools.DateChangeEvent arg0)

Specified by:
  `dateChanged` in interface `com.github.lgooddatepicker.optionalusertools.DateChangeListener`